| FlatBuffers An open source project by FPL.

Public Member Functions | List of all members
com.google.flatbuffers.StringVector Class Reference

Helper type for accessing vector of String. More...

Inheritance diagram for com.google.flatbuffers.StringVector:

## Detailed Description

Helper type for accessing vector of String.

## Public Member Functions
StringVector | __assign (int _vector, int _element_size, ByteBuffer _bb)
| Assigns vector access object to vector data. More...
String | get (int j)
| Reads the String at the given index. More...

## Member Function Documentation

## ◆ __assign()

StringVector com.google.flatbuffers.StringVector.__assign | ( | int | _vector,
|  | int | _element_size,
|  | ByteBuffer | _bb
| ) |  |
| inline

Assigns vector access object to vector data.

Parameters

  _vector | Start data of a vector.
  _element_size | Size of a vector element.
  _bb | Table's ByteBuffer.

Returns
  Returns current vector access object assigned to vector data whose offset is stored at `vector`.

## ◆ get()

String com.google.flatbuffers.StringVector.get | ( | int | j | ) |
| inline

Reads the String at the given index.

Parameters

  j | The index from which the String value will be read.

Returns
  the String at the given index.

The documentation for this class was generated from the following file:

- StringVector.java